## ros-lunar-urg-node 0.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(urg_node)

find_package(catkin REQUIRED COMPONENTS
  diagnostic_updater dynamic_reconfigure laser_proc message_generation
  nodelet rosconsole roscpp sensor_msgs std_msgs std_srvs tf urg_c
)
set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11")

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/URG.cfg)

add_message_files(FILES
  Status.msg
)

generate_messages(
  DEPENDENCIES std_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES urg_c_wrapper urg_node_driver
  CATKIN_DEPENDS dynamic_reconfigure laser_proc message_runtime nodelet rosconsole
  roscpp sensor_msgs std_msgs std_srvs urg_c
  DEPENDS
)


include_directories(include ${catkin_INCLUDE_DIRS})

## Declare a cpp library
add_library(urg_c_wrapper src/urg_c_wrapper.cpp)
target_link_libraries(urg_c_wrapper ${catkin_LIBRARIES})

# Declare the cpp as a lib also
add_library(urg_node_driver src/urg_node_driver.cpp)
add_dependencies(urg_node_driver ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_gencpp)
target_link_libraries(urg_node_driver urg_c_wrapper ${catkin_LIBRARIES})

## Declare a cpp executable
add_executable(urg_node src/urg_node.cpp)
target_link_libraries(urg_node urg_node_driver ${catkin_LIBRARIES})

## Declare getID tool
add_executable(getID src/getID.cpp)
target_link_libraries(getID urg_c_wrapper ${catkin_LIBRARIES})

## Mark executables and/or libraries for installation
install(TARGETS urg_c_wrapper urg_node urg_node_driver getID
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
   PATTERN ".svn" EXCLUDE
)

## Install script to set IP addresses
install(PROGRAMS
   scripts/set_urg_ip.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslint)
  # Ignore long -> int32_t warning, urg_c driver uses
  # long, etc. Wrapper must also use these
  set(ROSLINT_CPP_OPTS "--filter=-runtime/references,-runtime/int")
  roslint_cpp()
  roslint_add_test()

  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/urg_lidar.launch)
endif()

=== debian/changelog ===
ros-lunar-urg-node (0.1.11-0xenial) xenial; urgency=high

  * Add support for URG-04LX in SCIP 1.1 mode
    The urg_node does not support SCIP 1.1. The Hokuyo URG-04LX supports both
    SCIP 1.1 and SCIP 2.0, but needs to be switched to SCIP 2.0 at every startup
    in its default configuration. For this purpose the function
    URGCWrapper::setToSCIP2() was added.
    A URG-04LX in SCIP 1.1 mode used to lead to an exception being thrown in
    URGCwrapper::initialize. Now, before throwing the exception an attempt to
    switch the sensor to SCIP 2.0 is made.
  * Fixed comments in launch file and added roslaunch.
  * Add flag to prevent updating of detailed status.
    If using a model that does not support AR00 command, hide it
    behind a rosparam.
  * Add safety stop heading and distance values (#28 <https://github.com/ros-drivers/urg_node/issues/28>)
    Added to the laser status field the last report of a safety
    stop of distance and angle reported. If this fails or is unavailable
    it will just report 0.
  * Updating depend and roslint.
    Fixing some roslint error after moving a header name.
    Additionally fixing the gencfg to be on the lib and not the node.
  * Adding missing std_srvs depend.
    Adding missing std_srvs depend to package.xml and CMakelists.txt
  * Move urg_node to be a library.
    Moving urg_node to urg_node_driver as a library.
    This allows for other nodes to include this as an object instead
    of spawning another separate process.
  * Add getAR00 status command.
    Added ability to pull the status of the lidar AR00 status command.
    This then publishes a latched topic with the current status of the
    lidar's error code and lockout status.
  * Update urg_node to be a self contained class
    Updating urg node to be a self contained class. This allows
    for it to be imported in other nodes.
  * Roslint
  * Contributors: Benjamin Scholz, Mike O'Driscoll, Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 17 Oct 2017 04:00:00 -0000

ros-lunar-urg-node (0.1.10-0xenial) xenial; urgency=high

  * Updated maintainer.
  * Error handling for connection failures
  * Created urg_lidar.launch
  * Installed getID
  * Contributors: Eric Tappan, Jeff Schmidt, Kei Okada, Tony Baltovski

 -- Tony Baltovski <tony.baltovski@gmail.com>  Tue, 21 Mar 2017 04:00:00 -0000

ros-lunar-urg-node (0.1.9-0xenial) xenial; urgency=high

  * Merge pull request #7 <https://github.com/ros-drivers/urg_node/issues/7> from mikeferguson/indigo-devel
    add a script to set the IP address of an URG laser
  * Updated diagnostics to support configurable parameters.
  * add a script to set the IP address of an URG laser
  * Contributors: Chad Rockey, Michael Ferguson

 -- Tony Baltovski <tony.baltovski@gmail.com>  Wed, 13 Aug 2014 04:00:00 -0000

ros-lunar-urg-node (0.1.8-0xenial) xenial; urgency=high

  * Merge pull request #6 <https://github.com/ros-drivers/urg_node/issues/6> from mikeferguson/indigo-devel
    Add default device status on UST-20LX
  * Add default device status on UST-20LX
  * Contributors: Chad Rockey, Michael Ferguson

 -- Tony Baltovski <tony.baltovski@gmail.com>  Mon, 16 Jun 2014 04:00:00 -0000

ros-lunar-urg-node (0.1.7-0xenial) xenial; urgency=high

  * Added more robust plug/unplug reconnect behavior.
  * Added more robustness and the ability to continually reloop and reconnect until node is shutdown.
  * Fix initialization crash.
  * Install fix for Android.
  * Missed a willowgarage email.
  * Contributors: Chad Rockey

 -- Tony Baltovski <tony.baltovski@gmail.com>  Mon, 21 Apr 2014 04:00:00 -0000

ros-lunar-urg-node (0.1.6-0xenial) xenial; urgency=high

  * Added getID executable for udev users.

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 24 Oct 2013 04:00:00 -0000

ros-lunar-urg-node (0.1.5-0xenial) xenial; urgency=high

  * Missing diagnostic_updater depend

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 22 Aug 2013 04:00:00 -0000

ros-lunar-urg-node (0.1.4-0xenial) xenial; urgency=high

  * Merge pull request #2 <https://github.com/ros-drivers/urg_node/issues/2> from mitll-ros-pkg/diagnostics
    Added diagnostics to the URG Node.
  * Added diagnostics to the URG Node.

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 22 Aug 2013 04:00:00 -0000

ros-lunar-urg-node (0.1.3-0xenial) xenial; urgency=high

  * No more Willow Garage email.

 -- Tony Baltovski <tony.baltovski@gmail.com>  Wed, 21 Aug 2013 04:00:00 -0000

ros-lunar-urg-node (0.1.2-0xenial) xenial; urgency=high

  * Be more tolerant of connection dropouts and try to reconnect.
  * Fixed poor initilization causing uncertain output.
  * Updated consts

 -- Tony Baltovski <tony.baltovski@gmail.com>  Thu, 14 Mar 2013 04:00:00 -0000

ros-lunar-urg-node (0.1.1-0xenial) xenial; urgency=high

  * Only advertise for single or multiecho, not both.
  * Generalized multi echo grab function
  * Updated to use laser_proc to automatically publish compatibility messages.
  * Optimize the fill multi echo laserscan message to use reserve instead of resize wherever possible.

 -- Tony Baltovski <tony.baltovski@gmail.com>  Mon, 04 Mar 2013 05:00:00 -0000

ros-lunar-urg-node (0.1.0-0xenial) xenial; urgency=high

  * Added install rules.
  * Renamed package to urg_node.
  * Updated to use better timestamping.
  * Updated to use urg_c name for library.
  * Added information functions for future diagnostics.
  * Added experimental timestamp synchronization.  Fixed segfault for multiecho intensity.
  * Fixed skip being cluster.  Added skip functionallity.
  * Connected dynamic reconfigure, including angle limit requests.
  * Added ability to publish both single and multi echo scans.
  * Added dynamic reconfigure; can update reconfigure limits
  * Initial commit.  Connecting to both ethernet and serial devices.
  * Initial commit

 -- Tony Baltovski <tony.baltovski@gmail.com>  Sun, 03 Mar 2013 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-urg-node
Section: misc
Priority: extra
Maintainer: Tony Baltovski <tony.baltovski@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-diagnostic-updater, ros-lunar-dynamic-reconfigure, ros-lunar-laser-proc, ros-lunar-message-generation, ros-lunar-nodelet, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-roslaunch, ros-lunar-roslint, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf, ros-lunar-urg-c
Homepage: http://ros.org/wiki/urg_node
Standards-Version: 3.9.2

Package: ros-lunar-urg-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-diagnostic-updater, ros-lunar-dynamic-reconfigure, ros-lunar-laser-proc, ros-lunar-message-generation, ros-lunar-message-runtime, ros-lunar-nodelet, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-tf, ros-lunar-urg-c
Description: urg_node
